from os import unlink, rmdir, listdir
from os.path import isdir, join

def unlink_nothrow(filename):
	try:
		unlink(filename)
	except OSError:
		pass

def unlink_recursively(dirname):
    names = listdir(dirname)
    for name in names:
        fullname = join(dirname, name)
        if isdir(fullname):
            unlink_recursively(fullname)
        else:
            unlink(fullname)
    rmdir(dirname)
